tigase.jaxmpp.core.client.xmpp.modules.push

## Class PushNotificationModule

- java.lang.Object
- - tigase.jaxmpp.core.client.xmpp.modules.AbstractStanzaModule<IQ>
  - - tigase.jaxmpp.core.client.xmpp.modules.push.PushNotificationModule

- All Implemented Interfaces:
    ContextAware, InitializingModule, XmppModule

      public class PushNotificationModule
      extends AbstractStanzaModule<IQ>
      implements InitializingModule

- - ### Field Summary

    - ### Fields inherited from class tigase.jaxmpp.core.client.xmpp.modules.AbstractStanzaModule

      `context, log`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PushNotificationModule()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `disable(JID pushComponentJid, String node, AsyncCallback callback)` Disables push notifications.
    `void` | `enable(JID pushComponentJid, String node, AsyncCallback callback)` Enables push notifications.
    `Criteria` | `getCriteria()` Criteria
    `String[]` | `getFeatures()` Returns features what are implemented by Module.
    `boolean` | `isSupportedByServer()`
    `void` | `process(IQ stanza)` Method for processing incoming stanza.

    - ### Methods inherited from class tigase.jaxmpp.core.client.xmpp.modules.AbstractStanzaModule

      `afterRegister, beforeRegister, beforeUnregister, fireEvent, getFirstChild, process, setContext, write, write, write`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface tigase.jaxmpp.core.client.xmpp.modules.InitializingModule

      `afterRegister, beforeRegister, beforeUnregister`

- - ### Constructor Detail

    - #### PushNotificationModule

          public PushNotificationModule()

  - ### Method Detail

    - #### disable

          public void disable(JID pushComponentJid,
                              String node,
                              AsyncCallback callback)
                       throws JaxmppException

      Disables push notifications.
      Parameters:
        `pushComponentJid` - JID of XMPP Push Service.
        `node` - provisioned node specified by the App Server.
        `callback` - callback.
      Throws:
        `JaxmppException`

    - #### enable

          public void enable(JID pushComponentJid,
                             String node,
                             AsyncCallback callback)
                      throws JaxmppException

      Enables push notifications.
      Parameters:
        `pushComponentJid` - JID of XMPP Push Service.
        `node` - provisioned node specified by the App Server.
        `callback` - callback.
      Throws:
        `JaxmppException`

    - #### getCriteria

          public Criteria getCriteria()

      Description copied from interface: `XmppModule`
      Criteria
      Specified by:
        `getCriteria` in interface `XmppModule`
      Returns:

    - #### getFeatures

          public String[] getFeatures()

      Description copied from interface: `XmppModule`

      Returns features what are implemented by Module.

      See Service Discovery Features

      Specified by:
        `getFeatures` in interface `XmppModule`
      Returns:
        array of features

    - #### isSupportedByServer

          public boolean isSupportedByServer()

    - #### process

          public void process(IQ stanza)
                       throws JaxmppException

      Description copied from class: `AbstractStanzaModule`
      Method for processing incoming stanza.
      Specified by:
        `process` in class `AbstractStanzaModule<IQ>`
      Parameters:
        `stanza` - incoming stanza
      Throws:
        `JaxmppException`

Copyright © 2006–2023 Tigase. All rights reserved.